Skip to main content
REST API reference
A newer release of this product is available.

Updates remote syslog/splunk server information

PATCH /security/audit/destinations/{address}/{port}

Introduced In: 9.6

Updates remote syslog/splunk server information.

Parameters

Name Type In Required Description

address

string

path

True

IP address of remote syslog/splunk server.

port

integer

path

True

Port number of remote syslog/splunk server.

Request Body

Name Type Description

facility

string

This is the standard Syslog Facility value that is used when sending audit records to a remote server.

verify_server

boolean

This is only applicable when the protocol is tcp_encrypted. This controls whether the remote server's certificate is validated. Setting "verify_server" to "true" will enforce validation of remote server's certificate. Setting "verify_server" to "false" will not enforce validation of remote server's certificate.

Example request
{
  "facility": "string"
}

Response

Status: 200, Ok
Name Type Description

facility

string

This is the standard Syslog Facility value that is used when sending audit records to a remote server.

verify_server

boolean

This is only applicable when the protocol is tcp_encrypted. This controls whether the remote server's certificate is validated. Setting "verify_server" to "true" will enforce validation of remote server's certificate. Setting "verify_server" to "false" will not enforce validation of remote server's certificate.

Example response
{
  "facility": "string"
}

Error

Status: Default, Default

Definitions

See Definitions

security_audit_log_forward

Name Type Description

facility

string

This is the standard Syslog Facility value that is used when sending audit records to a remote server.

verify_server

boolean

This is only applicable when the protocol is tcp_encrypted. This controls whether the remote server's certificate is validated. Setting "verify_server" to "true" will enforce validation of remote server's certificate. Setting "verify_server" to "false" will not enforce validation of remote server's certificate.

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response